<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools" >

    <data >

    </data >

    <LinearLayout
        android:name="com.ysnows.supersearch.activity.CheckPermissionsActivity"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:fitsSystemWindows="true"
        android:orientation="vertical"
        tools:context=".activity.CheckPermissionsActivity" >

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent" >

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical" >

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="30dp"
                    android:layout_marginTop="@dimen/dp_2"
                    android:gravity="center_vertical"
                    android:paddingLeft="@dimen/dp_16"
                    android:text="需要开启以下权限一些特殊功能才能正常运行："
                    android:textColor="@color/secondary_text"
                    android:textSize="@dimen/sp_12" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="80dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:paddingLeft="@dimen/dp_16"
                    android:paddingRight="@dimen/dp_16" >

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="@dimen/dp_10"
                        android:layout_weight="1"
                        android:orientation="vertical" >

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="辅助服务"
                            android:textColor="@color/primary_text"
                            android:textSize="@dimen/sp_17" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp_2"
                            android:text="用途：模拟返回键、任务键、自动跳过广告、双击输入框粘贴等自动化任务"
                            android:textColor="@color/secondary_text"
                            android:textSize="@dimen/sp_13" />

                    </LinearLayout >

                    <androidx.cardview.widget.CardView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@color/colorPrimary"
                        app:cardBackgroundColor="@color/colorPrimary"
                        app:cardCornerRadius="3dp"
                        app:cardElevation="2dp"
                        app:cardPreventCornerOverlap="true" >

                        <TextView
                            android:id="@+id/btn_assistance"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@color/colorPrimary"
                            android:paddingBottom="@dimen/dp_4"
                            android:paddingLeft="@dimen/dp_8"
                            android:paddingRight="@dimen/dp_8"
                            android:paddingTop="@dimen/dp_4"
                            android:text="开启"
                            android:textColor="@color/white"
                            android:textSize="@dimen/sp_13" />

                    </androidx.cardview.widget.CardView >

                </LinearLayout >

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/dp_16"
                    android:layout_marginTop="@dimen/dp_2"
                    android:background="#EEF1F6"
                    android:padding="@dimen/dp_4"
                    android:text="!!! \t如果频繁要求开启权限,请检查是否已经将本软件在「任务管理」中锁定,加入待机白名单或者清理白名单中,在一些拥有「一键后台清理」功能的软件中也需要添加白名单。\n\n\t如果开关已经显示为开启状态,尝试先关闭再打开,或者重启手机再试试。"
                    android:textColor="@color/secondary_text"
                    android:textSize="@dimen/sp_13" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="80dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:paddingLeft="@dimen/dp_16"
                    android:paddingRight="@dimen/dp_16" >

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="@dimen/dp_10"
                        android:layout_weight="1"
                        android:orientation="vertical" >

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="浮窗权限"
                            android:textColor="@color/primary_text"
                            android:textSize="@dimen/sp_17" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp_2"
                            android:text="用途：显示消息图标，边缘手势等"
                            android:textColor="@color/secondary_text"
                            android:textSize="@dimen/sp_13" />

                    </LinearLayout >

                    <androidx.cardview.widget.CardView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@color/colorPrimary"
                        app:cardBackgroundColor="@color/colorPrimary"
                        app:cardCornerRadius="3dp"
                        app:cardElevation="2dp"
                        app:cardPreventCornerOverlap="true" >

                        <TextView
                            android:id="@+id/btn_float"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@color/colorPrimary"
                            android:paddingBottom="@dimen/dp_4"
                            android:paddingLeft="@dimen/dp_8"
                            android:paddingRight="@dimen/dp_8"
                            android:paddingTop="@dimen/dp_4"
                            android:text="开启"
                            android:textColor="@color/white"
                            android:textSize="@dimen/sp_13" />

                    </androidx.cardview.widget.CardView >

                </LinearLayout >

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/dp_16"
                    android:layout_marginTop="@dimen/dp_2"
                    android:background="#EEF1F6"
                    android:padding="@dimen/dp_4"
                    android:text="!!! \t个别国产定制手机可能点击按钮跳转不了，大家可以手动开启\n\n\tOPPO手机：桌面--安全中心（手机管家）--权限管理（权限隐私）--悬浮窗管理--允许。\n\n\tVIVO手机：桌面--i管家--权限管理--悬浮窗--开启"
                    android:textColor="@color/secondary_text"
                    android:textSize="@dimen/sp_13" />

            </LinearLayout >
        </ScrollView >

    </LinearLayout >
</layout >
